import type { Point, Polygon, Geometry, Line, Rectangle, Bbox, Size, Fit, GeojsonGeometry } from '@allmaps/types';
export declare function computeMinMax(values: number[]): [number, number];
export declare function computeBbox(points: Geometry | GeojsonGeometry): Bbox;
export declare function combineBboxes(bbox0: Bbox, bbox1: Bbox): Bbox;
export declare function isOverlapping(bbox0: Bbox, bbox1: Bbox): boolean;
export declare function pointInBbox(point: Point, bbox: Bbox): boolean;
export declare function bufferBbox(bbox: Bbox, dist0: number, dist1: number): Bbox;
export declare function bufferBboxByRatio(bbox: Bbox, ratio: number): Bbox;
export declare function bboxToRectangle(bbox: Bbox): Rectangle;
export declare function bboxToPolygon(bbox: Bbox): Polygon;
export declare function bboxToLine(bbox: Bbox): Line;
export declare function bboxToPoint(bbox: Bbox): Point;
export declare function bboxToDiameter(bbox: Bbox): number;
export declare function geometryToDiameter(geometry: Geometry | GeojsonGeometry): number;
export declare function bboxToCenter(bbox: Bbox): Point;
export declare function bboxToSize(bbox: Bbox): Size;
export declare function rectangleToSize(rectangle: Rectangle): Size;
export declare function sizesToScale(size0: Size, size1: Size, fit?: Fit): number;
export declare function bboxesToScale(bbox0: Bbox, bbox1: Bbox): number;
export declare function rectanglesToScale(rectangle0: Rectangle, rectangle1: Rectangle): number;
