import type { Color } from '@allmaps/types';
/**
 * Convert RBG to hex
 * @param {[number, number, number]} [r, g, b] - rgb, e.g. [0, 51, 255]
 * @returns {Color} hex string, e.g. '#0033ff'
 */
export declare function rgbToHex([r, g, b]: Color): string;
/**
 * Convert hex to RGB
 * @param {string} hex - hex string, e.g. '#0033ff'
 * @returns {Color} RGB, e.g. [0, 51, 255]
 */
export declare function hexToRgb(hex: string): Color;
/**
 * Convert hex to fractional RGB
 * @param {string} hex - hex string, e.g. '#0033ff'
 * @returns {Color} Fractional RGB, e.g. [0, 0.2, 1]
 */
export declare function hexToFractionalRgb(hex: string): Color;
