import type { Point, LineString, Ring, Polygon, MultiPoint, MultiLineString, MultiPolygon, Geometry, GeojsonPoint, GeojsonLineString, GeojsonPolygon, GeojsonMultiPoint, GeojsonMultiLineString, GeojsonMultiPolygon, GeojsonGeometry, GeojsonFeature, GeojsonFeatureCollection, SvgGeometry } from '@allmaps/types';
export declare function isGeojsonPoint(input: any): input is GeojsonPoint;
export declare function isGeojsonLineString(input: any): input is GeojsonLineString;
export declare function isGeojsonPolygon(input: any): input is GeojsonPolygon;
export declare function isGeojsonMultiPoint(input: any): input is GeojsonMultiPoint;
export declare function isGeojsonMultiLineString(input: any): input is GeojsonMultiLineString;
export declare function isGeojsonMultiPolygon(input: any): input is GeojsonMultiPolygon;
export declare function isGeojsonGeometry(obj: unknown): obj is GeojsonGeometry;
export declare function convertGeojsonPointToPoint(geojsonPoint: GeojsonPoint): Point;
export declare function convertGeojsonLineStringToLineString(geojsonLineString: GeojsonLineString): LineString;
export declare function convertGeojsonPolygonToRing(geojsonPolygon: GeojsonPolygon, close?: boolean): Ring;
export declare function convertGeojsonPolygonToPolygon(geojsonPolygon: GeojsonPolygon, close?: boolean): Polygon;
export declare function convertGeojsonMultiPointToMultiPoint(geojsonMultiPoint: GeojsonMultiPoint): MultiPoint;
export declare function convertGeojsonMultiLineStringToMultiLineString(geojsonMultiLineString: GeojsonMultiLineString): MultiLineString;
export declare function convertGeojsonMultiPolygonToMultiPolygon(geojsonMultiPolygon: GeojsonMultiPolygon, close?: boolean): MultiPolygon;
export declare function convertGeojsonGeometryToGeometry(geojsonGeometry: GeojsonGeometry): Geometry;
export declare function expandGeojsonMultiPointToGeojsonPointArray(geojsonMultiPoint: GeojsonMultiPoint): GeojsonPoint[];
export declare function expandGeojsonMultiLineStringToGeojsonLineStringArray(geojsonMultiLineString: GeojsonMultiLineString): GeojsonLineString[];
export declare function expandGeojsonMultiPolygonToGeojsonPolygonArray(geojsonMultiPolygon: GeojsonMultiPolygon): GeojsonPolygon[];
export declare function expandGeojsonMultiGeometryToGeojsonGeometryArray(geojsonMultiGeometry: GeojsonMultiPoint | GeojsonMultiLineString | GeojsonMultiPolygon): GeojsonPoint[] | GeojsonLineString[] | GeojsonPolygon[];
export declare function joinGeojsonPointArrayToGeojsonMultiPoint(geojsonPointArray: GeojsonPoint[]): GeojsonMultiPoint;
export declare function joinGeojsonLineStringArrayToGeojsonMultiLineString(geojsonLineStringArray: GeojsonLineString[]): GeojsonMultiLineString;
export declare function joinGeojsonPolygonArrayToGeojsonMultiPolygon(geojsonPolygonArray: GeojsonPolygon[]): GeojsonMultiPolygon;
export declare function joinGeojsonGeometryArrayToGeojsonMultiGeometry(geojsonGeometryArray: (GeojsonPoint | GeojsonLineString | GeojsonPolygon)[]): GeojsonMultiPoint | GeojsonMultiLineString | GeojsonMultiPolygon;
export declare function convertGeojsonToSvg(geometry: GeojsonGeometry): SvgGeometry;
export declare function geometryToFeature(geometry: GeojsonGeometry, properties?: unknown): GeojsonFeature;
export declare function featuresToFeatureCollection(features: GeojsonFeature | GeojsonFeature[]): GeojsonFeatureCollection;
export declare function geometriesToFeatureCollection(geometries: GeojsonGeometry[], properties?: unknown[]): GeojsonFeatureCollection;
export declare function featureToGeometry(feature: GeojsonFeature): GeojsonGeometry;
export declare function featureCollectionToGeometries(featureCollection: GeojsonFeatureCollection): GeojsonGeometry[];
