import type { Point, LineString, Line, Ring, Polygon, MultiPoint, MultiLineString, MultiPolygon, Geometry, GeojsonPoint, GeojsonLineString, GeojsonPolygon, GeojsonMultiPoint, GeojsonMultiLineString, GeojsonMultiPolygon, GeojsonGeometry, Size } from '@allmaps/types';
export declare function isPoint(input: any): input is Point;
export declare function isLineString(input: any): input is LineString;
export declare function isPolygon(input: any): input is Polygon;
export declare function isMultiPoint(input: any): input is MultiPoint;
export declare function isMultiLineString(input: any): input is MultiLineString;
export declare function isMultiPolygon(input: any): input is MultiPolygon;
export declare function isGeometry(input: any): input is Geometry;
export declare function conformLineString(lineString: LineString): LineString;
export declare function conformRing(ring: Ring): Ring;
export declare function conformPolygon(polygon: Polygon): Polygon;
export declare function conformMultiLineString(multiLineString: MultiLineString): MultiLineString;
export declare function conformMultiPolygon(multiPolygon: MultiPolygon): MultiPolygon;
export declare function convertPointToGeojsonPoint(point: Point): GeojsonPoint;
export declare function convertLineStringToGeojsonLineString(lineString: LineString): GeojsonLineString;
export declare function convertRingToGeojsonPolygon(ring: Ring, close?: boolean): GeojsonPolygon;
export declare function convertPolygonToGeojsonPolygon(polygon: Polygon, close?: boolean): GeojsonPolygon;
export declare function convertMultiPointToGeojsonMultiPoint(multiPoint: MultiPoint): GeojsonMultiPoint;
export declare function convertMultiLineStringToGeojsonMultiLineString(multiLineString: MultiLineString): GeojsonMultiLineString;
export declare function convertMultiPolygonToGeojsonMultiPolygon(multiPolygon: MultiPolygon, close?: boolean): GeojsonMultiPolygon;
export declare function convertGeometryToGeojsonGeometry(geometry: Geometry): GeojsonGeometry;
export declare function isClosed(input: Point[]): boolean;
export declare function isEqualPoint(point0: Point, point1: Point): boolean;
export declare function isEqualPointArray(pointArray0: Point[], pointArray1: Point[]): boolean;
export declare function isEqualPointArrayArray(pointArrayArray0: Point[][], pointArrayArray1: Point[][]): boolean;
export declare function pointsAndPointsToLines(points0: Point[], points1: Point[]): Line[];
export declare function lineStringToLines(lineString: LineString): Line[];
export declare function pointToPixel(point: Point, translate?: Point): Point;
export declare function pixelToIntArrayIndex(pixel: Point, size: Size, channels: number, flipY?: boolean): number;
export declare function flipX(point: Point): Point;
export declare function flipY(point: Point): Point;
export declare function midPoint(point0: Point, point1: Point): Point;
export declare function mixNumbers(number0: number, number1: number, t: number): number;
export declare function mixPoints(point0: Point, point1: Point, t: number): Point;
export declare function distance(from: Line): number;
export declare function distance(from: Point): number;
export declare function distance(from: Point, to: Point): number;
export declare function squaredDistance(from: Line): number;
export declare function squaredDistance(from: Point): number;
export declare function squaredDistance(from: Point, to: Point): number;
export declare function degreesToRadians(degrees: number): number;
